آشنایی با Cisco Unified Communication Manager Express (CallManager Express) – CME

توسط: سید حسین آل طعمه|آخرین به روز رسانی: 1398/03/13
به اشتراک گذاری در:

آشنایی با Cisco Unified Communication Manager Express (CallManager Express) – CME

سازنده های شناخته شده در صنعت مرکز تلفن نظیر پاناسونیک، آلکاتل، زیمنس و ... سال ها سیستم تلفن آنالوگ و یا دیجیتال تولید میکردند. با ابداع سیستم VoIP در سالهای اخیر، این شرکت ها نیز قابلیت VoIP را به سیستم PBX خود اضافه کردند. با این همه این محصولات Hybrid ای، یک سیستم VoIP خالص نبوده و برخی قابلیت های VoIP PBX نظیر برقراری SIP Trunk با تمامی Vendor ها، داشتن Codec های متنوع و برقراری تماس با استفاده از سیگنالینگ H.323 را پشتیبانی نمیکنند.
سیسکو که سالهاست بخش بزرگی از بازار روتر و سویچ دنیا را به خود اختصاص داده است و تا کنون مرکز تلفن آنالوگ یا دیجیتال ارائه نکرده بود، کار خود را با آخرین تکنولوژی روز دنیا آغاز کرد و دو محصول CUCM و (Cisco Call Manager Express (CME متولد شد.
Cisco Call Manager که امروزه به نام (Cisco Unified Communication Manager (CUCM شناخته میشود، یک نرم افزار مبتنی بر سیستم عامل لینوکس بوده، بر روی یک سرور نصب شده و میتوان با کلاستر کردن چندین CUCM، از چندین هزار تلفن پشتیبانی کرد.
سیسکو برای پاسخگویی به Small business ها، نسخه کوچکتر CallManager خود را به نام Cisco CallManager Express یا CME ارائه کرد.
CME در واقع قابلیت IOS روتر میباشد که با توجه به مدل روتر میتواند از 24 الی 450 تلفن IP پشتیبانی کند. بنابراین برای راه اندازی سیستم CME، شما فقط نیاز به یک روتر سیسکو دارید.
CME یک نرم افزار IP Telephony میباشد و در اکثر IOS های Advanced، وجود دارد. پکیج های IOS سیسکو به شرح زیر بوده و IOS های 4 الی 8 از CME پشتیبانی میکنند:

 

1. IP Base

2. Enterprise Base

3. Advanced Security

4. IP Voice

5. SP Services

6. Advanced IP Services

7. Enterprise Services

8. Advanced Enterprise Services

 

سیسکو تا IOS v12.4، پکیج های جداگانه ای از IOS ارائه کرد. از ورژن 15 به بعد، تمامی این هشت پکیج به صورت یکجا ارائه شد؛ با این همه برای فعال کردن هر یک از قابلیت های مورد نظر، نیاز به نصب لایسنس  بر روی IOS میباشد. درصورتی که IOS ورژن 15 به بعد دارید، نیاز به نصب لایسنس UC جهت فعال سازی CME دارید.
ورژن CME نیز با توجه به ورژن IOS تغییر میکند. آخرین ورژن فعلی CME، ورژن 10.5 میباشد که بر روی IOS 15.4 قرار دارد

سخت افزار مورد نیاز

سخت افزار مورد نیاز CME با توجه به ورژن CME و پلتفرم روتری که بر روی آن نصب است، متفاوت است. به طور مثال ورژن 8.1 که بر روی روتر 2811 نصب است دارای 256MB DRAM و 128MB Flash Memory بوده و حداکثر از 35 تلفن IP پشتیبانی میکند. روتر Cisco 2851 حداکثر از 100 تلفن IP پشتیبانی کرده و نیاز به 384MB DRAM و 128MB Flash Memory دارد.
سری جدید روتر های ISR G2 2900 نیاز به سخت افزار قوی تری نسبت به هم رده های خود در سری ISR دارد. به طور مثال روتر 2901 که حداکثر 35 تلفن IP را پشتیبانی میکند، نیاز به 512MB DRAM و 256MB Flash Memory دارد. روتر 2951 که حداکثر 150 تلفن IP را پشتیبانی میکند، نیاز به سخت افزاری مشابه روتر 2901 دارد. (512/256)
اگر میخواهید CME را تست کنید، بهتر است از CME ورژن 7.1 به بعد (بر روی IOS 12.4 نصب است) که اشکالات زیادی در آن برطرف شده است، شروع کنید. برای انجام این کار از روتر 7200 در GNS3 استفاده کنید.

مرجع مقاله : نت استاک


نظرات کاربران
ارسال نظر